Subject: bug#12688: [LaTeXila] AM_PROG_VALAC: error message -> warning message

From: Matthieu Baerts <[email-masked]>
Date: Fri, 26 Oct 2012 17:55:04 +0200

Hi Stefano and thank you for maintaining Automake :)

On 10/26/2012 17:29 +0200, Stefano Lattarini wrote:
> tags 12688 + patch
> thanks
> 
> On 10/26/2012 03:59 PM, Stefano Lattarini wrote:
> > Hi Matthieu, Sébastien, sorry for the delay.
> > I agree the behaviour you want is better and more sensible than the
> > current one.  In fact, it mimics the behaviour of a macro like
> > AC_PROG_YACC, which doesn't abort configure if a bison/yacc program
> > is not found in PATH (which makes perfect sense, since Automake
> > distributes the bison-generated C sources, exactly to ensure the
> > final user doesn't need to have a proper bison/yacc program himself).
> > 
> > However, I'm not going to apply your patch right away because first
> > I'd like to work on this other enhancement:
> > 
> >   <http://lists.gnu.org/archive/html/automake-patches/2012-09/msg00012.html>
> > 
> > Once that is done (might be a few days), I will get back to your
> > patch.  I definitely plan to have it committed (in one form or another)
> > before releasing Automake 1.12.5.
> >
> Here is the patch.  Can I have your ACK on it?  I will push it by this
> evening if there is no answer by then?

This seems perfect, thank you for this fix!

> Thanks,
>   Stefano
> 
> P.S. note that this patch is part of a wider patch series I'm writing, so
> it won't apply cleanly on maint or master.  I will later post the whole
> series on the automake-patches list, in case anyone is interested.

I'll test this new version asap.

Have a nice day,

Thanks,
Matt